Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		xine-lib
Version:	1.1.19
Release:	2
License:	GNU/GPL
URL:		http://www.xinehq.de
Group:		Multimedia/Video
Source0:	%{name}-%{version}.tar.bz2

# add vaapi support
# http://sourceforge.net/apps/trac/archvdr/browser/trunk/archvdr/xine-lib-1.2/ffmpeg_vaapi-patch?rev=1695
Patch0:		xine-lib-vaapi.patch

# fix compilation against libXvMC >= 1.0.6
Patch1:		xine-lib-xvmc.patch

BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:   	xine-lib is a free multimedia engine.
Requires: 	mplayer-codecs

Obsoletes:	%{name}-man

# prevent the propietary openGL incarnations
BuildConflicts:	xorg-x11-drv-fglrx
BuildConflicts:	xorg-x11-drv-nvidia
BuildConflicts:	xorg-x11-drv-nvidia-legacy
BuildConflicts:	xorg-x11-drv-nvidia-legacy96xx

BuildRequires: libvdpau-devel
BuildRequires: libva-devel
BuildRequires: vdpau-video

#Automatically resolved build dependencies
BuildRequires: aalib-devel
BuildRequires: alsa-lib-devel
BuildRequires: audiofile-devel
BuildRequires: avahi-devel
BuildRequires: bzip2-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: esound-libs-devel
BuildRequires: expat-devel
BuildRequires: faad2-devel
BuildRequires: ffmpeg-devel
BuildRequires: fftw-devel
BuildRequires: flac-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnome-vfs-devel
BuildRequires: gpm-devel
BuildRequires: gtk2+-devel
BuildRequires: ImageMagick-devel
BuildRequires: jack-audio-connection-kit-devel
BuildRequires: lcms-devel
BuildRequires: libcdio-devel
BuildRequires: libgomp
BuildRequires: libICE-devel
BuildRequires: libjpeg-devel
BuildRequires: libmng-devel
BuildRequires: libmodplug-devel
BuildRequires: libmpcdec-devel
BuildRequires: libogg-devel
BuildRequires: libpng-devel
BuildRequires: libsamplerate-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libtheora-devel
BuildRequires: libtiff-devel
BuildRequires: libtool-devel
BuildRequires: libvorbis-devel
BuildRequires: libX11-devel
BuildRequires: libxcb-devel
BuildRequires: libXext-devel
BuildRequires: libXinerama-devel
BuildRequires: libxml2-devel
BuildRequires: libXt-devel
BuildRequires: libXv-devel
BuildRequires: libXvMC-devel
BuildRequires: mesa-libGL-devel
BuildRequires: mesa-libGLU-devel
BuildRequires: ncurses-devel
BuildRequires: openssl-devel
BuildRequires: ORBit2-devel
BuildRequires: pkg-config
BuildRequires: pulseaudio-libs-devel
BuildRequires: samba-common
BuildRequires: SDL-devel
BuildRequires: speex-devel
BuildRequires: vcdimager-devel
BuildRequires: wavpack-devel
BuildRequires: zlib-devel

%description
The xine engine is a free media player engine. It comes in the form of
a shared libarary and is typically used by media player frontends and
other multimedia applications for playback of multimedia streams such
as movies, radio/tv network streams, DVDs, VCDs.

Since there are several frontends for the xine library available, this
document has a problem when it comes to examples. The two most common
frontends xine-ui and gxine are mixed in command line examples
throughout this FAQ. When you use a different frontend, some of these
will not work for you. The filename of the config file also varies
amongst frontends. If you get confused, I recommend you try with one
of xine-ui or gxine.

%package	devel
Summary:	%{name} development headers.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with xine-lib.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1

%build
%configure \
--disable-static \
--with-libflac \
--with-external-libmpcdec \
--with-external-ffmpeg \
--with-wavpack \
--with-w32-path=/usr/lib/mplayer/codecs \
--disable-dxr3 
make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install-strip DESTDIR=$RPM_BUILD_ROOT
rm -rf %{buildroot}%{_libdir}/libxine.la

%files
%defattr(-,root,root)
%{_bindir}/xine-list-1.1
%{_libdir}/libxine.so.*
%{_libdir}/xine
%{_locale}/*/LC_MESSAGES/libxine1.mo
%{_datadir}/xine
%{_datadir}/doc/xine-lib
%{_mandir}/man1/xine-config.1.gz
%{_mandir}/man1/xine-list-1.1.1.gz
%{_mandir}/man5/xine.5.gz

%files devel
%defattr(-,root,root)
%{_bindir}/xine-config
%{_includedir}/xine.h
%{_includedir}/xine
%{_libdir}/libxine.so
%{_pkgconfig}/libxine.pc
%{_aclocal}/xine.m4

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Dec 19 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.1.19-2
- added patch for vaapi support
* Sun Jul 25 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.1.19-1
- Version update
* Thu Mar 11 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.1.18.1-2
- Version update
* Thu Feb 25 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.1.18-1
- Version update
* Wed Dec 02 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.1.17-1
- Version update
* Sat Sep 26 2009 Christian Wasem <wasem@ccux-linux.de> 1.1.16.3-4
- rebuild against libtheora-1.1.0
* Tue Sep 22 2009 Christian Metzen <metzench@ccux-linux.de> 1.1.16.3-3
- rebuild against ffmpeg-0.6-1
* Tue Sep 15 2009 Christian Metzen <metzench@ccux-linux.de> 1.1.16.3-2
- rebuild against faad2-2.7
* Sun Jul 19 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.1.16.3-1
- version update
- built against libjpeg 7
* Sat Apr 18 2009 Christian Wasem <wasem@ccux-linux.de> 1.1.16.2-3
- rebuild against SDL-1.2.13-3
* Wed Mar 25 2009 Christian Metzen <metzench@ccux-linux.de> 1.1.16.2-2
- rebuild against ffmpeg-0.5
- added smp flags
* Sun Mar 15 2009 Christian Wasem <wasem@ccux-linux.de> 1.1.16.2-1
- Version update
* Sat Dec 13 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.15-3
- rebuilt against libcdio 0.81
* Wed Sep 03 2008 Christian Metzen <metzench@ccux-linux.de> 1.1.15-2
- added ansi patch for kdebase-runtime
* Fri Aug 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.15-1
- Version update
* Sun Jun 29 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.14-1
- Version update
* Mon Jun 16 2008 Christian Metzen <metzench@ccux-linux.de> 1.1.13-1
- Version update
* Thu Apr 24 2008 Christian Metzen <metzench@ccux-linux.de> 1.1.12-2
- obsolete man package
* Tue Apr 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.12-1
- Version update
* Thu Mar 20 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.11-1
- Version update
- moved manpages to seperate package
* Sun Mar 09 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.10.1-3
- rebuilt against libdc1394 2.0.1
* Sat Mar 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.10.1-2
- rebuilt against ImageMagick 6.3.9.3
* Sun Feb 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.10.1-1
- Version update
* Sun Jan 27 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.10-1
- Version update
* Fri Jan 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.9.1-1
- Version update
* Sun Jan 06 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.9-1
- Version update
* Sun Nov 04 2007 Stefan Gottwald <gotti@ccux-linux.de> 1.1.8-2
- rebuild against new x264-20071104
* Mon Aug 27 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.1.8-1
- Version update
* Sat Jun 23 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.1.7-1
- Version update
* Wed Apr 18 2007 Stefan Gottwald <gotti@ccux-linux.de> 1.1.6-1
- Version Update
* Wed Apr 11 2007 Christian Metzen <metzench@ccux-linux.de> 1.1.5-2
- rebuild against stable repo
* Tue Apr 10 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.1.5-1
- Version update
* Thu Feb 01 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.1.4-1
- Version update
* Sun Dec 03 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.1.3-1
- Version update
* Fri Jul 14 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.1.2-1
- Version update
* Tue Jan 24 2006 Christian Wasem <wasem@ccux-linux.de> 1.1.1-4
- rebuilt against ImageMagick 6.2.6.0
* Wed Nov 30 2005 Christian Wasem <wasem@ccux-linux.de> 1.1.1-3
- added *.so to devel, it will be installed, but not packed!
* Sun Nov 27 2005 Christian Wasem <wasem@ccux-linux.de> 1.1.1-2
- moved more files to devel
* Sat Nov 26 2005 Karsten Brockmann <arcam@ccux-linux.de> 1.1.1-1
- Version update
* Mon Oct 10 2005 Karsten Brockmann <arcam@ccux-linux.de> 1.0.3a-1
- Version update, security-bugfix release
* Fri Jun 17 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.1-3
- Moved linker files
* Fri Jun 17 2005 Stefan Gottwald <gotti@ccux-linux.de> 1.0.1-2
- Recompilation against new flac
* Thu Apr 28 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.1-1
- Version update to 1.0.1
* Mon Dec 27 2004 Christian Metzen <metzench@ccux-linux.de> 1.0-1
- Update to Version 1.0
* Fri Nov 19 2004 Christian Metzen <metzench@ccux-linux.de> 1rc7-1
- Initial Release
